<?php
	require_once("lib.php");

	$subtitle = "Add assignment";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	if ($_SERVER['REQUEST_METHOD'] != 'POST')
	{
		// Validate GET Input
		$course = validate($_GET['course'], $db);
		$section = validate($_GET['section'], $db, "numeric");
		$semester = validate($_GET['semester'], $db);
		$year = validate($_GET['year'], $db, "numeric");
		$due = array(0 => date("Y"), 1 => date("m"), 2 => date("d"));
		assignment_form($GLOBALS['TITLE'], $subtitle, $user, "addassignment/", $course['html'], $section['html'], $semester['html'], $year['html'], " ", " ", $due);
		exit();
	}

	// Validate Input
	$course_key = validate($_POST['course_key'], $db);
	$section_key = validate($_POST['section_key'], $db, "numeric");
	$semester_key = validate($_POST['semester_key'], $db);
	$year_key = validate($_POST['year_key'], $db, "numeric");
	$assignment = validate($_POST['assignment'], $db);
	$percentage = validate($_POST['percentage'], $db, "numeric");
	$description = validate($_POST['description'], $db);
	$date_month = validate($_POST['date_month'], $db, "numeric");
	$date_day = validate($_POST['date_day'], $db, "numeric");
	$date_year = validate($_POST['date_year'], $db, "numeric");
	$due = $date_year['html'] . "-" . $date_month['html'] . "-" . $date_day['html'];

	// bunch of specific input validation, (this should be enforced by database, but mysql doesnt support check constraints)
	if ($percentage['html'] == null)
	{
		assignment_form($GLOBALS['TITLE'], $subtitle, $user, "addassignment/", $course_key['html'], $section_key['html'], $semester_key['html'], $year_key['html'], $assignment['html'], $percentage['html'], $due, $description['html'], "Percentage must be numeric.");
		exit();
	}
	else if ($percentage['html'] != -1 && $percentage['html'] <= 0)
	{
		assignment_form($GLOBALS['TITLE'], $subtitle, $user, "addassignment/", $course_key['html'], $section_key['html'], $semester_key['html'], $year_key['html'], $assignment['html'], $percentage['html'], $due, $description['html'], "Percentage must be greater than zero.");
		exit();
	}

	$percentage['html'] = ($percentage['html'] == -1) ? 0 : $percentage['html'];

	// Add assignment
	$query = $db->query("INSERT INTO assignments VALUES('$course_key[sql]', $section_key[sql], '$semester_key[sql]', '$year_key[sql]', '$assignment[sql]', DATE '$due', $percentage[sql], '$description[sql]')");
	if (!DB::isError($query))
	{
		success_page($GLOBALS['TITLE'], $subtitle, $user, "section/$course_key[url]/$section_key[url]/$semester_key[url]/$year_key[url]/", "$assignment[html] added.");
	}
	else
	{
		$error = getError($query);
		error_page($GLOBALS['TITLE'], $subtitle, $user, "Failed to add assignment: " . $error);
	}
?>