<?php
	require_once("lib.php");

	$subtitle = "Assignment";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	include "head.html";
	echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
	include "header.html";

	// Validate input
	$course = validate($_GET['course'], $db);
	$section = validate($_GET['section'], $db);
	$semester = validate($_GET['semester'], $db);
	$year = validate($_GET['year'], $db);
	$assignment = validate($_GET['assignment'], $db);

	echo "<div class=\"title\"><a class=\"index\" href=\"section/$course[url]/$section[url]/$semester[url]/$year[url]/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";

	// Output grades table
	$query = $db->query("SELECT name, students.id, grade FROM grades NATURAL JOIN students WHERE course='$course[sql]' and section=$section[sql] and semester='$semester[sql]' and year=$year[sql] and assignment='$assignment[sql]'");
	if (DB::isError($query))
	{
		$error = getError($query);
		echo "Unexpected error: $error";
	}

	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Grades for $assignment[html]</span><span> - <a href=\"addgrade/$course[url]/$section[url]/$semester[url]/$year[url]/$assignment[url]/\">Add grade</a></span></div>\n";
	echo "<table>\n";
	echo "<tr><th>Name</th><th>Id</th><th>Grade</th><th>Modify</th><th>Delete</th></tr>\n";

	for ($i = 0; $row =& $query->fetchRow(); $i++)
	{
		$class = "row" . $i % 2;
		$id['url'] = urlencode($row->id);
		$grade['url'] = urlencode($row->grade);
		echo "<tr class=\"$class\"><td>$row->name</td><td>$row->id</td><td>$row->grade</td><td class=\"center\"><a href=\"modifygrade/$course[url]/$section[url]/$semester[url]/$year[url]/$assignment[url]/$id[url]/$grade[url]/\"><img class=\"icon\" src=\"images/icons/blue/database.gif\" width=\"16\" height=\"16\" alt=\"blue database\" /></a></td><td class=\"center\"><a id=\"grade_url$i\" href=\"javascript:unlock('grade', '$i', 'deletegrade/$course[url]/$section[url]/$semester[url]/$year[url]/$assignment[url]/$row->id/')\"><img class=\"icon\" id=\"grade_image$i\" src=\"images/icons/blue/lock.gif\" width=\"16\" height=\"16\" alt=\"blue lock\" /></a></td></tr>\n";
	}
	echo "</table>\n";
	include "rgrey_footer.html";

	// Output question table
	$query = $db->query("SELECT question, nCorrect, nAttempted FROM questions WHERE course='$course[sql]' and section=$section[sql] and semester='$semester[sql]' and year=$year[sql] and assignment='$assignment[sql]'");
	if (DB::isError($query))
	{
		$error = getError($query);
		echo "Unexpected error: $error";
	}

	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Questions for $assignment[html]</span><span> - <a href=\"addquestion/$course[url]/$section[url]/$semester[url]/$year[url]/$assignment[url]/\">Add question</a></span></div>\n";
	echo "<table>\n";
	echo "<tr><th>Question</th><th>% Correct</th><th>Modify</th><th>Delete</th></tr>\n";

	for ($i = 0; $row =& $query->fetchRow(); $i++)
	{
		$class = "row" . $i % 2;
		$percentage = 100 * $row->nCorrect / $row->nAttempted;
		$question['url'] = urlencode($row->question);
		$nCorrect['url'] = urlencode($row->nCorrect);
		$nAttempted['url'] = urlencode($row->nAttempted);
		printf("<tr class=\"$class\"><td>$row->question</td><td>%2.2f</td><td class=\"center\"><a href=\"modifyquestion/$course[url]/$section[url]/$semester[url]/$year[url]/$assignment[url]/$question[url]/$nCorrect[url]/$nAttempted[url]/\"><img class=\"icon\" src=\"images/icons/blue/database.gif\" width=\"16\" height=\"16\" alt=\"blue database\" /></a></td><td class=\"center\"><a id=\"question_url$i\" href=\"javascript:unlock('question', '$i', 'deletequestion/$course[url]/$section[url]/$semester[url]/$year[url]/$assignment[url]/$row->question/')\"><img class=\"icon\" id=\"question_image$i\" src=\"images/icons/blue/lock.gif\" width=\"16\" height=\"16\" alt=\"blue lock\" /></a></td></tr>\n", $percentage);
	}
	echo "</table>\n";
	include "rgrey_footer.html";
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - <a href=\"course/$course[url]/\">Section List</a> - <a href=\"section/$course[url]/$section[url]/$semester[url]/$year[url]/\">Section</a> - <a href=\"report/$course[url]/$section[url]/$semester[url]/$year[url]/\">Report</a> - Email - Print</div>";
	include "footer.html";
?>