<?php
	require_once("lib.php");

	$subtitle = "Modify assignment";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	if ($_SERVER['REQUEST_METHOD'] != 'POST')
	{
		// Validate GET input
		$course = validate($_GET['course'], $db);
		$section = validate($_GET['section'], $db, "numeric");
		$semester = validate($_GET['semester'], $db);
		$year = validate($_GET['year'], $db, "numeric");
		$assignment = validate($_GET['assignment'], $db);
		$percentage = validate($_GET['percentage'], $db, "numeric");
		$duesql = validate($_GET['due'], $db);
		$description = validate($_GET['description'], $db);
		$due = explode("-", $duesql['html']);

		assignment_form($GLOBALS['TITLE'], $subtitle, $user, "modifyassignment/",
			$course['html'], $section['html'], $semester['html'], $year['html'],
			$assignment['html'], $percentage['html'], $due, $description['html']);
		exit();
	}

	// Validate input
	$course_key = validate($_POST['course_key'], $db);
	$section_key = validate($_POST['section_key'], $db, "numeric");
	$semester_key = validate($_POST['semester_key'], $db);
	$year_key = validate($_POST['year_key'], $db, "numeric");
	$assignment_key = validate($_POST['assignment_key'], $db);
	$assignment = validate($_POST['assignment'], $db);
	$percentage = validate($_POST['percentage'], $db, "numeric");
	$date_month = validate($_POST['date_month'], $db, "numeric");
	$date_day = validate($_POST['date_day'], $db, "numeric");
	$date_year = validate($_POST['date_year'], $db, "numeric");
	$due = $date_year['html'] . "-" . $date_month['html'] . "-" . $date_day['html'];
	$description = validate($_POST['description'], $db);

	// bunch of specific input validation, (this should be enforced by database, but mysql doesnt support check constraints)
	if ($percentage['html'] == null)
	{
		assignment_form($GLOBALS['TITLE'], $subtitle, $user, "addassignment/", $course_key['html'], $section_key['html'], $semester_key['html'], $year_key['html'], $assignment['html'], $percentage['html'], $due, $description['html'], "Percentage must be numeric.");
		exit();
	}
	else if ($percentage['html'] != -1 && $percentage['html'] <= 0)
	{
		assignment_form($GLOBALS['TITLE'], $subtitle, $user, "addassignment/", $course_key['html'], $section_key['html'], $semester_key['html'], $year_key['html'], $assignment['html'], $percentage['html'], $due, $description['html'], "Percentage must be greater than zero.");
		exit();
	}

	$percentage['html'] = ($percentage['html'] == -1) ? 0 : $percentage['html'];

	// update assignment
	$query = $db->query("UPDATE assignments SET assignment = '$assignment[sql]', percentage = '$percentage[sql]', due = DATE '$due', description = '$description[sql]' WHERE course = '$course_key[sql]' and section = '$section_key[sql]' and semester = '$semester_key[sql]' and year = '$year_key[sql]' and assignment = '$assignment_key[sql]'");
	if (!DB::isError($query))
	{

		success_page($GLOBALS['TITLE'], $subtitle, $user, "section/$course_key[url]/$section_key[url]/$semester_key[url]/$year_key[url]/", "$assignment[html] modified.");
	}
	else
	{
		$error = getError($query);
		error_page($GLOBALS['TITLE'], $subtitle, $user, "Failed to modify assignment: " . $error);
	}
?>