<?php
	require_once("lib.php");

	$subtitle = "Modify section";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();


	if ($_SERVER['REQUEST_METHOD'] != 'POST')
	{
		// Validate GET input
		$course = validate($_GET['course'], $db);
		$section = validate($_GET['section'], $db, "numeric");
		$semester = validate($_GET['semester'], $db);
		$year = validate($_GET['year'], $db, "numeric");
		$instructor = validate($_GET['instructor'], $db);
		$schedule = validate($_GET['schedule'], $db);
		$location = validate($_GET['location'], $db);

		section_form($GLOBALS['TITLE'], $subtitle, $user, "modifysection/", $course['html'], $section['html'], $semester['html'], $year['html'], $instructor['html'], $schedule['html'], $location['html']);
		exit();
	}

	// Validate input
	$course_key = validate($_POST['course_key'], $db);
	$section = validate($_POST['section'], $db, "numeric");
	$section_key = validate($_POST['section_key'], $db);
	$semester = validate($_POST['semester'], $db);
	$semester_key = validate($_POST['semester_key'], $db);
	$year = validate($_POST['year'], $db, "numeric");
	$year_key = validate($_POST['year_key'], $db);
	$instructor = validate($_POST['instructor'], $db);
	$schedule = validate($_POST['schedule'], $db);
	$location = validate($_POST['location'], $db);

	// bunch of specific input validation, (this should be enforced by database, but mysql doesnt support check constraints)
	$now = date("Y");
	$future = date("Y") + 5;
	if ($section['html'] == null && $year['html'] == null)
	{
		section_form($GLOBALS['TITLE'], $subtitle, $user, "addsection/", $course_key['html'], $section['html'], $semester['html'], $year['html'], $instructor['html'], $schedule['html'], $location['html'], "Section and year must be numeric.");
		exit();
	}
	else if ($section['html'] == null)
	{
		section_form($GLOBALS['TITLE'], $subtitle, $user, "addsection/", $course_key['html'], $section['html'], $semester['html'], $year['html'], $instructor['html'], $schedule['html'], $location['html'], "Section must be numeric.");
		exit();
	}
	else if ($year['html'] == null)
	{
		section_form($GLOBALS['TITLE'], $subtitle, $user, "addsection/", $course_key['html'], $section['html'], $semester['html'], $year['html'], $instructor['html'], $schedule['html'], $location['html'], "Year must be numeric.");
		exit();
	}
	else if ($section['html'] != -1 && $section['html'] <= 0)
	{
		section_form($GLOBALS['TITLE'], $subtitle, $user, "addsection/", $course_key['html'], $section['html'], $semester['html'], $year['html'], $instructor['html'], $schedule['html'], $location['html'], "Section must be greater than zero.");
		exit();
	}
	else if ($year['html'] != -1 && $year['html'] < $now || $year['html'] > $future)
	{
		section_form($GLOBALS['TITLE'], $subtitle, $user, "addsection/", $course_key['html'], $section['html'], $semester['html'], $year['html'], $instructor['html'], $schedule['html'], $location['html'], "Year must be between $now and $future.");
		exit();
	}

	// Update section
	$query = $db->query("UPDATE sections SET section = '$section[sql]', semester = '$semester[sql]', year = '$year[sql]', instructor = '$instructor[sql]', schedule = '$schedule[sql]', location = '$location[sql]' WHERE course = '$course_key[sql]' and section = '$section_key[sql]' and semester = '$semester_key[sql]' and year = '$year_key[sql]'");
	if (!DB::isError($query))
	{
		success_page($GLOBALS['TITLE'], $subtitle, $user, "course/$course_key[url]/", "Section modified.");
	}
	else
	{
		$error = getError($query);
		error_page($GLOBALS['TITLE'], $subtitle, $user, "Failed to modify section: " . $error);
	}
?>