<?php
	require_once("lib.php");

	$subtitle = "Section";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	// Validate input
	$course = validate($_GET['course'], $db);
	$section = validate($_GET['section'], $db);
	$semester = validate($_GET['semester'], $db);
	$year = validate($_GET['year'], $db);

	include "head.html";
	echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"course/$course[url]/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";

	// Output student table (mysql does a second natural join incorrectly)
	$query = $db->query("SELECT students.id, name, major, accounts.email FROM (students NATURAL JOIN enrollment), accounts WHERE accounts.username = students.username and course = '$course[sql]' and section = $section[sql] and semester = '$semester[sql]' and year = $year[sql]");
	if (DB::isError($query))
	{
		$error = getError($query);
		echo "Unexpected error: $error";
	}

	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Enrolled Students</span><span> - <a href=\"students/$course[url]/$section[url]/$semester[url]/$year[url]/\">Add student</a></span></div>\n";
	echo "<table>\n";
	echo "<tr><th>Name</th><th>Major</th><th>Id</th><th>Email</th><th>Grade</th><th>Drop</th></tr>\n";

	for ($i = 0; $row =& $query->fetchRow(); $i++)
	{
		$grade = 0;
		$pSum = 0;

		$gQuery = $db->query("SELECT grade, percentage FROM grades NATURAL JOIN assignments WHERE assignments.course = '$course[sql]' and assignments.section = $section[sql] and assignments.semester = '$semester[sql]' and assignments.year = $year[sql] and grades.id = $row->id");

		while ($gRow =& $gQuery->fetchRow())
		{
			$grade += $gRow->grade * ($gRow->percentage / 100);
			$pSum += $gRow->percentage;
		}
		if ($pSum)
		{
			$grade /= $pSum;
			$grade *= 100;
		}

		if ($grade < 70)
		{
			$alert = "failing";
		}
		else
		{
			$alert = "passing";
		}

		$class = "row" . $i % 2;
		$id['url'] = urlencode($row->id);
		printf("<tr class=\"$class\"><td>$row->name</td><td>$row->major</td><td>$row->id</td><td>$row->email</td><td class=\"center $alert\">%3.2f</td><td class=\"center\"><a id=\"students_url$i\" href=\"javascript:unlock('students', '$i', 'dropstudent/$course[url]/$section[url]/$semester[url]/$year[url]/$id[url]/')\"><img class=\"icon\" id=\"students_image$i\" src=\"images/icons/blue/lock.gif\" width=\"16\" height=\"16\" alt=\"blue lock\" /></a></td></tr>\n", $grade);
	}
	echo "</table>\n";
	include "rgrey_footer.html";


	// Output assignment table
	$query = $db->query("SELECT * FROM assignments WHERE course = '$course[sql]' and section = $section[sql] and semester = '$semester[sql]' and year = $year[sql]");
	if (DB::isError($query))
	{
		$error = getError($query);
		echo "Unexpected error: $error";
	}

	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Assignments</span><span> - <a href=\"addassignment/$course[url]/$section[url]/$semester[url]/$year[url]/\">Add Assignment</a></span></div>\n";
	echo "<table>\n";
	echo "<tr><th>Assignment</th><th>Due Date</th><th>Percentage</th><th>Description</th><th>Modify</th><th>Delete</th></tr>\n";

	for ($i = 0; $row =& $query->fetchRow(); $i++)
	{
		$class = "row" . $i % 2;
		$assignment['url'] = urlencode($row->assignment);
		$due['url'] = urlencode($row->due);
		$percentage['url'] = urlencode($row->percentage);
		$description['url'] = urlencode($row->description);

		echo "<tr class=\"$class\"><td><a href=\"assignment/$course[url]/$section[url]/$semester[url]/$year[url]/$assignment[url]/\">$row->assignment</a></td><td>$row->due</td><td class=\"center\">$row->percentage</td><td class=\"description\">$row->description</td><td class=\"center\"><a href=\"modifyassignment/$course[url]/$section[url]/$semester[url]/$year[url]/$assignment[url]/$due[url]/$percentage[url]/$description[url]/\"><img class=\"icon\" src=\"images/icons/blue/database.gif\" width=\"16\" height=\"16\" alt=\"blue database\" /></a></td><td class=\"center\"><a id=\"assignment_url$i\" href=\"javascript:unlock('assignment', '$i', 'deleteassignment/$course[url]/$section[url]/$semester[url]/$year[url]/$assignment[url]/')\"><img class=\"icon\" id=\"assignment_image$i\" src=\"images/icons/blue/lock.gif\" width=\"16\" height=\"16\" alt=\"blue lock\" /></a></td></tr>\n";
	}
	echo "</table>\n";
	include "rgrey_footer.html";
	echo "<div class=\"nav\"><a href=\"\">Course List</a> - <a href=\"course/$course[url]/\">Section List</a> - <a href=\"section/$course[url]/$section[url]/$semester[url]/$year[url]/\">Section</a> - <a href=\"report/$course[url]/$section[url]/$semester[url]/$year[url]/\">Report</a> - Email - Print</div>\n";
	include "footer.html";
?>